<?php

return [
    // 默认数据库配置
    'default' => 'pgsql',
    // 各种数据库配置
    'connections' => [
        'pgsql' => [
            'driver'   => 'pgsql',
            'host'     => envs('DB_PG_HOST', '127.0.0.1'),
            'port'     => envs('DB_PG_PORT', '5432'),
            'user'     => envs('DB_PG_USERNAME', 'forge'),
            'password' => envs('DB_PG_PASSWORD', ''),
            'dbname'   => envs('DB_PG_DATABASE', 'forge'),
            'charset'  => 'utf8'
        ],
    ],
    'sct_mes_instance' => envs('DB_PG_DATABASE', 'forge'),
    'sct_mes_config'   => [
        'driver'   => 'pgsql',
        'host'     => envs('DB_PG_HOST', '127.0.0.1'),
        'port'     => envs('DB_PG_PORT', '5432'),
        'user'     => envs('DB_PG_USERNAME', 'forge'),
        'password' => envs('DB_PG_PASSWORD', ''),
        'dbname'   => envs('DB_PG_DATABASE', 'forge'),
        'charset'  => 'utf8',
    ]
];
