<?php
namespace libs\core;

use Workerman\Connection\AsyncTcpConnection;

class Async
{
    public static function asyncTaskConnection($url, $send_data)
    {
        $task_connection = new AsyncTcpConnection($url);
        $task_connection->send(json_encode($send_data, JSON_UNESCAPED_UNICODE));
        // 异步获得结果
        $task_connection->onMessage = function(AsyncTcpConnection $task_connection)
        {
            // 获得结果后记得关闭异步连接
            $task_connection->close();
        };
        // 执行异步连接
        $task_connection->connect();
    }
}
