#!/usr/bin/env php
<?php
require_once __DIR__ . '/vendor/autoload.php';
// 使用 getopt 函数解析命令行参数
$options = getopt('h::', ['APP_ENV::', 'help::']);
// 检查是否请求帮助信息
if (isset($options['h']) || isset($options['help'])) {
    echo "Usage: php start.php [options]\n";
    echo "    --APP_ENV=<env>    Set the application environment\n";
    echo "    -h, --help         Display this help message\n";
    exit;
}
if (isset($options['APP_ENV'])) {
    putenv('APP_ENV='.$options['APP_ENV']);
}
\libs\core\App::run();
