<?php
/**
 * 开发环境配置
 */

/*
|--------------------------------------------------------------------------
| app.php
|--------------------------------------------------------------------------
*/
$app = [
    'APP_DEBUG'                 => true,
    'APP_SERVER_NAME'           => 'sctworkerman',
    'APP_SERVER'                => 'http://0.0.0.0:23345',
    'CALCULATION_SCRIPT_URL'    => 'http://127.0.0.1:8787/calculation_script/',
    'CALCULATION_SCRIPT_SWITCH' => true,
    'APP_SERVER_COUNT'          => 5,
    'SCADA_IP'         => "127.0.0.1", 
    'SCADA_PORT'       => "21188",
];

/*
|--------------------------------------------------------------------------
| 自定义进程配置
|--------------------------------------------------------------------------
*/
$process = [
    'ASYNC_LISTEN' => 'text://0.0.0.0:6668',
    'ASYNC_COUNT'  => 5,
    'LOG_LISTEN'   => 'text://0.0.0.0:6667',
    'LOG_COUNT'    => 5,
];

/*
|--------------------------------------------------------------------------
| database.php
|--------------------------------------------------------------------------
*/
$pgsql = [
    'DB_PG_HOST'     => '192.168.198.129',
    'DB_PG_PORT'     => 5432,
    'DB_PG_DATABASE' => 'hf_mes_sctmes_mes_5_new',
    'DB_PG_USERNAME' => 'postgres',
    'DB_PG_PASSWORD' => 'Hf123!@#',
];

return array_merge($app, $process, $pgsql);
