<?php
/**
 * 书写规则，方法类.方法
 */
return [
    'events' => [
        // 温度补偿
        'SetTrayProcessResultEvent.getTemperatureSupp' => app\event\SetTrayProcessResultEvent::class,
        // proces_log
        'SetProcessLogEvent.handle'                    => app\event\SetProcessLogEvent::class,
        'SetProcessLogEvent.updateLastStatus'          => app\event\SetProcessLogEvent::class,
        // 登录创建子BKV
        'CreateBkvEvent.handle'                        => app\event\CreateBkvEvent::class,
        // 计算属性脚本开始位置
        'ExtScriptEvent.extScriptBegin'                => app\event\ExtScriptEvent::class,
        // 计算属性脚本结束位置
        'ExtScriptEvent.extScriptEnd'                  => app\event\ExtScriptEvent::class,
        //冻结解冻拦截工序
        'FreezeInterceptionEvent.handle'                 => app\event\FreezeInterceptionEvent::class,
        //装配段的产出计数
        'SetProcessInputAmountEvent.handle'                 => app\event\SetProcessInputAmountEvent::class,
        //装配段把前工序数据写到新增数据
        'SetPreProcessParamEvent.handle'                 => app\event\SetPreProcessParamEvent::class,
        //上传工序结果数据到SCADA
        'SendProcessResultParamsToScadaEvent.handle'                 => app\event\SendProcessResultParamsToScadaEvent::class,
         // 电池曲线
         'CurveDataPathEvent.scriptEnd' => app\event\CurveDataPathEvent::class,
    ]
];
